Bug Hunting Session
Bug 45588 - : Writer: Use of different items for Formatting Marks (Formatierungszeichen) in English and German Localization differ in different places
Summary: : Writer: Use of different items for Formatting Marks (Formatierungszeichen) ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-03 04:09 UTC by Harald Koester
Modified: 2019-09-21 13:00 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2012-02-03 04:09:35 UTC
Description in German:

Für 2 der 3 Formatierungszeichen in Writer (Einfügen > Formatierungszeichen) habe ich diverse unterschiedliche Begriffe in der Bedienoberfläche und in den Hilfetexten gefunden, was aufgrund der "Menge der unterschiedlichen Zeichen" ziemlich verwirrend war:

[1] "Geschützter Bindestrich" = "geschützter Trennstrich" = "geschützter Trenner" (Strg+Umschalt+-)
[2] " Benutzerdefinierter Trenner" = "Bedingtes Trennzeichen" = "Optionaler Trennstrich" = " Weicher Trenner" (Strg+-)
[3] Für das "Geschützte Leerzeichen" habe ich (erstaunlicherweise) keine weiteren Begriff gefunden. (Strg+Umschalt+Leertaste)

Erwartung: Verwendung gleicher Begriffe.

Wo gefunden?
[1] Einfügen > Formatierungszeichen
[2] Extras > Optionen > LibreOffice Writer > Formatierungshilfen
[3] Hilfetext zu [2]
[4] Hilfe, "Einfügen von geschützten Leerzeichen, Bindestrichen und bedingten Trennzeichen"
[5] Hilfe, "Formatierungszeichen"
[6] Hilfe, "Einfügen von geschützten Leerzeichen"
[7] Hilfe, "Tastaturbefehle für Textdokumente"
[8] Hilfe, "Silbentrennung"
Weitere ?
              
Browser: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.26) Gecko/20120128 Firefox/3.6.26
Comment 1 Ralph Aichinger 2012-02-08 14:49:12 UTC
I am not sure this is a German l10n inconsistency. I think at least some of these are also inconsistent terminology in the English version, e.g. 

Insert->Formatting Mark->Optional Hyphen vs.
Options->LibreOffice Writer->Formatting Ais-> Display of *Custom* Hyphens
vs. "User defined delimiters" in Online Help 

I think semantic differences have to be checked, but this is a good catch.

(in German)

Ich bin mir nicht sicher, ob diese Uneinheitlichkeit nur auf die deutsche Version beschränkt ist. Ich denke, zumindest einige dieser inkonsistenten Bezeichnungen finden sich auch in der Englischen Version (von der die deutsche übersetzt wird, daher kommen die Uneinheitlichkeiten vermutlich zustande), z.B. 

Insert->Formatting Mark->Optional Hyphen vs.
Options->LibreOffice Writer->Formatting Ais-> Display of *Custom* Hyphens
vs. "User defined delimiters" in Online Help 

Ich denke man sollte überprüfen ob es da einen Bedeutungsunterschied gibt, ansonsten ist das eine gute Entdeckung, die man auf jeden Fall korrigieren sollte.
Comment 2 sasha.libreoffice 2012-02-22 02:14:58 UTC
@ Rainer
Please, see at this bug. German and English terms inconsistency.
Comment 3 Rainer Bielefeld Retired 2012-02-22 02:18:59 UTC
I added this one to my todo line
Comment 4 Rainer Bielefeld Retired 2012-08-30 17:13:06 UTC
Might have roots in English Help

Ctrl+Shift+minus sign (-) 	Non-breaking dash (is not used for hyphenation) 
 <http://help.libreoffice.org/Writer/Shortcut_Keys_for_Writer>
but
Non-breaking hyphen 
 <http://help.libreoffice.org/Common/Formatting_Mark>

I think first we should do unification in English UI and then check again whether German inconsistencies remain

@Jochen:
What proceeding do you recommend?
Comment 5 Jochen 2012-08-31 11:52:26 UTC
(In reply to comment #4)
> I think first we should do unification in English UI and then check again
> whether German inconsistencies remain

IMHO the following is purposeful:
1) Clarify what are the correct terms in English
2) Clarify if terms are in english UI and help entered correctly
3) Clarify what are the correct terms in German
4) Localisation in German
Comment 6 Harald Koester 2012-09-10 21:55:40 UTC
The following terms for the formatting marks are used in Wikipedia and LO:

[1]
English Wikipedia: Non-breaking space
German Wikipedia: Geschütztes Leerzeichen
Unicode: U+00A0
In English also known as: No-break space, non-breakable space, NBSP, hard space, fixed space
In German also known as: Dauerleerzeichen
Terms used in English UI and LO Help: non-breaking space, protected space
Terms used in German UI and LO Help: Only "geschütztes Leerzeichen"
Proposal for LO, English: None-breaking space
Proposal for LO, German: Geschütztes Leerzeichen

[2]
English Wikipedia: Non-breaking hyphen
German Wikipedia: Geschützter Bindestrich
Unicode: U+2011
Terms used in Englich UI and LO Help: non-breaking hyphen, non-breaking dash, protected hyphen, non-breaking (protected) hyphen
Terms used in German UI and LO Help: only "Geschützter Bindestrich"
Proposal for LO, English: Non-breaking hyphen
Proposal for LO, German: geschützter Bindestrich

[3]
English Wikipedia: Soft hyphen
German Wikipedia: Weiches Trennzeichen
Unicode: U+00AD
In German also known as: Bedingter Trennstrich
Terms used in English UI and Help: optional hyphen, custom hyphen, definite separator, conditional separator, user-defined delimiter
Terms used in German UI and Help: bedingter Trennstrich, benutzerdefinierter Trennstrich
Proposal for LO, English: Soft hyphen
Proposal for LO, German: Weiches Trennzeichen

In the UI I found these positions where the terms for formatting marks are used:
(a) E: Insert > Formatting Mark
    G: Einfügen > Formatierungszeichen
(b) E: Tools > Options... > LibreOffice Writer > Formatting aids
    G: Extras > Optionen... > LibreOffice Writer > Formatierungshilfen

In the Help I found these help pages where the terms are used:
(c) E + G: Help page to (b)
(d) E: Inserting Protected Spaces, Hyphens and Conditional Separators 
    G: Einfügen von geschützten Leerzeichen, geschützten Bindestrichen 
       und bedingten Trennstrichen.
(e) E: Formatting Mark
    G: Formatierungszeichen
(f) E: Shortcut Keys for LibreOffice Writer
    G: Tastaturbefehle für Textdokumente
(g) E: Hyphenation
    G: Silbentrennung
If you can not find these pages at once, use the find feature of Help.

I'm not sure if I found all occurences (UI and Help) where terms for formatting marks are used. If you find more please add a comment here.
Comment 7 Thomas Hackert 2013-06-26 17:17:00 UTC
Hello Harald, *,
as it is not only a problem in the Germanophone UI and OLH, but also in the English one, I changed the summary ... ;)

I think, Jochen's comment 5 (and there the points 1 and 2) are the first things, which should be done.

Tested with LO Version: 4.1.0.1 Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155
and installed Germanophone help- as well as langpack under Debian Testing AMD64.

Sorry for the inconvenience
Thomas.
Comment 8 Julien Nabet 2014-08-15 21:15:08 UTC
On pc Debian x86-64 with master sources updated today, I still got different options:
Insert->Formatting Mark->Optional Hyphen vs.
Options->LibreOffice Writer->Formatting Ais-> Display of *Custom* Hyphens
But online help matches the second one, see https://help.libreoffice.org/swriter/modules/swriter/ui/optformataidspage/OptFormatAidsPage?Language=en-US&System=UNIX&Version=4.4#Custom_hyphens

ux-advise: should we change first one so all the 3 would match?
Comment 9 Adolfo Jayme 2014-08-16 18:02:24 UTC
Please change both UI and help to use the most common terms: “non-breaking space”, “non-breaking hyphen” and “soft hyphen”. I would recommend elaborating on the meaning of these somewhere in Help (and maybe including synonyms), so that all doubts are cleared.
Comment 10 Commit Notification 2014-08-16 21:04:43 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46b7a08767e17ff1ef086393c4e111a8ffa19d55

Related: fdo#45588 Use of different items for Formatting Marks



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Julien Nabet 2014-08-16 21:13:51 UTC
These 3 elements must be changed:
1) To change Option Hyphen from Insert/Formatting Mark
http://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/UI/GenericCommands.xcu#5548

2) To change Custom Hyphens Options->LibreOffice Writer->Formatting Aids
http://opengrok.libreoffice.org/xref/core/sw/uiconfig/swriter/ui/optformataidspage.ui#59

3) Help
http://opengrok.libreoffice.org/xref/help/source/text/shared/optionen/01040600.xhp


1) and 2) have been done on master sources with this patch: http://cgit.freedesktop.org/libreoffice/core/commit/?id=46b7a08767e17ff1ef086393c4e111a8ffa19d55
but not sure about what to put for 3.
Jan/Andras: any idea what to put precisely?

If all this ok, may we backport this on 4.3 or is too late (for example because of "Hard English string & UI freeze" already done)?
Comment 12 QA Administrators 2015-09-04 02:47:44 UTC Comment hidden (obsolete)
Comment 13 Harald Koester 2015-09-04 22:20:46 UTC
Checked again. Below you find the postions where I found terms for formattings marks that are still used incorrectly or are unclear (version 5.0.1.2):

(a) Local help English, page Hyphenation: The insertion of a soft hyphen is described as direct entering of a hyphen. Furthermore the terms "non-breaking (protected) hyphen" and "Custom hyphens" are used. Attention: There are 2 help pages with the header Hyphenation.

(b) Local help English, other page hyphenation: Inserting of a soft hyphen is described as manual hyphenation of single words.

(c) Local help German, page 'Silbentrennung': The insertion of a soft hyphen (weiches Trennzeichen) is described as direct entering of a hyphen (Trennstrich). Attention: There are 2 help pages with the header 'Silbentrennung'.

(d) Local help German, other page 'Silbentrennung': Inserting of a soft hyphen (weiches Trennzeichen) is described as manual hyphenation of single words.

(e) Online help English, page "Inserting Protected Spaces, Hyphens and Conditional Separators". Wrong are the terms "Non-Breaking dash" and "Definite Separator":
https://help.libreoffice.org/Common/Inserting_Protected_Spaces,_Hyphens_and_Conditional_Separators

(f) Online help German, page "Einfügen von geschützten Leerzeichen, geschützten Bindestrichen und bedingten Trennstrichen". Wrong is the term "Bedingte Trennstriche":
https://help.libreoffice.org/Common/Inserting_Protected_Spaces,_Hyphens_and_Conditional_Separators/de

(g) Online help English, page "Formatting Mark". The term "No-width no break" is not clear. Is this the "Zero Width No-Break Space" (U+FEFF) or the "Word Joiner" (U+2060) or something else? I think the official unicode term should be used.

(h) Online help German, page "Formatierungszeichen". Wrong is the term "Bedingter Trennstrich":
https://help.libreoffice.org/Common/Formatting_Mark/de
And another term from this page is different to the term of the menu: "Kein Umbruch ohne Breite" vs. "Verbindungselement ohne Breite". I think there is no official German term. What about inventing a new term: "Wort-Verbinder"? Wort-Zusammenhalter?

(i) Online help German, page "Tastaturbefehle für LibreOffice Writer": Wrong is the term "Bedingter Trennstrich":
https://help.libreoffice.org/Writer/Shortcut_Keys_for_Writer/de

(j) Online helg German, page "Tastenkombinationen für LibreOffice Impress": Wrong is the term "Tastenkombinationen für LibreOffice Impress":
https://help.libreoffice.org/Impress/Shortcut_Keys_for_Impress/de
Comment 14 Harald Koester 2015-09-05 13:25:50 UTC
The last one "(j)" was wrong. Correct is:

(j) Online helg German, page "Tastenkombinationen für LibreOffice Impress": Wrong is the term "Angepasste Bindestriche":
https://help.libreoffice.org/Impress/Shortcut_Keys_for_Impress/de

And here some more positions for incorrect terms:

(k) Online help English, page "Preventing Hyphenation of Specific Words". The term "No-width no break" is not clear. Is this the "Zero Width No-Break Space" (U+FEFF) or the "Word Joiner" (U+2060) or something else? I think the official unicode term should be used.
https://help.libreoffice.org/Writer/Preventing_Hyphenation_of_Specific_Words

(l) Online help German, page "Verhindern der Silbentrennung für bestimmte Wörter". Term "Verbindungselement ohne Breite". See (h).
https://help.libreoffice.org/Writer/Preventing_Hyphenation_of_Specific_Words/de

(m) Online help English, page "Hyphenation": Inserting of a soft hyphen is described as manual hyphenation of single words.
https://help.libreoffice.org/Writer/Hyphenation

(n) Online help German, page 'Silbentrennung': Inserting of a soft hyphen (weiches Trennzeichen) is described as manual hyphenation of single words.
https://help.libreoffice.org/Writer/Hyphenation/de

(o) Onlne help English, page Hyphenation: The insertion of a soft hyphen is described as direct entering of a hyphen. Furthermore the terms "non-breaking (protected) hyphen" and "Custom hyphens" are used. 
https://help.libreoffice.org/Writer/Hyphenation_1

(p) Online help German, page 'Silbentrennung': The insertion of a soft hyphen (weiches Trennzeichen) is described as direct entering of a hyphen (Trennstrich). 
https://help.libreoffice.org/Writer/Hyphenation_1/de
Comment 15 QA Administrators 2016-09-20 10:28:38 UTC Comment hidden (obsolete)
Comment 16 Harald Koester 2016-10-07 13:05:01 UTC
Checked with version 5.2.2. There are some positions, where the right term is still not used. According comment 13 and comment 14 these positions are effected:

English: (a), (b), (e), (g), (m) and (o)
German: (f)

Furthermore:
In the German pages "Formatierungszeichen" (https://help.libreoffice.org/Common/Formatting_Mark/de) and "Verhindern der Silbentrennung für bestimmte Wörter" (https://help.libreoffice.org/Writer/Preventing_Hyphenation_of_Specific_Words/de) the different terms "Verbindungszeichen ohne Breite" and "Geschütztes Verbindungszeichen ohne Breite" are used for the same character. (see former cases (h) and (l))
Comment 17 Dieter Praas 2017-04-20 12:38:07 UTC
So actally it's "only" an issue of the online help? If this is the case I would mke the title of the bug more precise like "[Online help Writer]: ..."
Comment 18 Sophia Schroeder 2017-05-13 12:22:29 UTC
Does it make sense to change (unifying) the terms just in the German translations? I would try to do it forward to LibreOffice 5.3.4 and 5.4.
Comment 19 Dieter Praas 2017-05-14 18:24:13 UTC
I don't know what disadvantages this might have, so I can't assess it.
Comment 20 Harald Koester 2017-05-24 10:04:19 UTC
(In reply to Sophia Schroeder from comment #18)
> Does it make sense to change (unifying) the terms just in the German
> translations? I would try to do it forward to LibreOffice 5.3.4 and 5.4.

Meanwhile in German only help pages are affected. Hence there should be no problems to change the terms.
Comment 21 Sophia Schroeder 2017-06-05 12:07:40 UTC
Now I'm working on it (was suddenly away for 3 weeks). Unfortunately I have no access to the Online Help Pages to change anything. Also the still wrong English terms I cannot change in any way for now. I hope I found everything else you mentioned in your comments. Would you please retest then with upcoming 5.3.4, making a new comment and hide the others as obsolete for better overview of the remaining issues? Would be very appreciated. :-D
Comment 22 Harald Koester 2017-11-30 22:47:00 UTC
Checked again with version 5.4.3. Problems mentioned in comment 16 still exist.
Comment 23 Sophia Schroeder 2017-12-02 14:02:15 UTC
Thank you for retesting. :-) Will look at it and the other bug these days.
Comment 24 Sophia Schroeder 2017-12-10 11:46:27 UTC
As mentioned in https://de.wikipedia.org/wiki/Weiches_Trennzeichen the term "Bedingter Trennstrich" is a valid German term. The only occurrence is a bookmark for it in Pootle and therefore also in our German help. There is nothing I can do in our wiki help and English origin strings (yet), sadly. Therefore I reassign the bug to default and mark it as new again. Sorry, that I cannot do more.
Comment 25 2018-08-22 05:11:48 UTC
Some time ago I changed many strings for German translation. Can someone (preferably Harald) check the German translation again if all bugs are corrected or I forgot something?
Comment 26 Harald Koester 2018-09-06 12:10:00 UTC
I wrote a new bug report with regards to formatting marks (bug 119723). That bug report includes problems of more formatting marks. Furthermore there is a new help system and this report refers to the old help system. If 119723 is confirmed I will close this bug.
Comment 27 Harald Koester 2018-09-06 13:00:53 UTC
Nearly all problems mentioned in this report are fixed. The rest will be treated in bug 119723.
Comment 28 Dieter Praas 2019-09-21 13:00:47 UTC
(In reply to Harald Koester from comment #27)
> Nearly all problems mentioned in this report are fixed. The rest will be
> treated in bug 119723.

=> Status VERIFIED FIXED